//	Screen-Aligned Quad: Image Blur - 1.0
//------------------------------------
float4 WVP0 <> = {-2.0f, 0.0f, 0.0f, 0.0f};
float4 WVP1 <> = {0.0f,  2.0f, 0.0f, 0.0f};
float4 WVP2 <> = {0.0f,  0.0f, 1.0f, 0.0f};
float4 WVP3 <> = {0.0f,  0.0f, 1.0f, 1.0f};
float4 BlurStrength <> = {0.5f, 0.5f, 0.0f, 0.0f};

//------------------------------------
texture Null
<
	string name = "Null.tga";
>;

//------------------------------------
technique Blur14
{
	pass p0 
	{		
		VertexShaderConstant[0] = <WVP0>;
		VertexShaderConstant[1] = <WVP1>;
		VertexShaderConstant[2] = <WVP2>;
		VertexShaderConstant[3] = <WVP3>;
		VertexShaderConstant[10] = <BlurStrength>;

		VertexShader = asm
		{
			// Initilise Shader
			vs.1.1
			dcl_position	v0
			dcl_texcoord	v1
			
			// Define Blur Offsets
			def c20, 0.01f, 0.01f, 0.0f, 0.0f
			def c21, 0.03f, 0.03f, 0.0f, 0.0f
			def c22, 0.05f, 0.05f, 0.0f, 0.0f
						
			// Transform Quad to Screen
			m4x4 oPos, v0, c0
			
			// Displace and Output Tex Coords
			mov r0, c10
			mad oT0, r0,  c20, v1
			mad oT1, -r0, c20, v1
			mad oT2, r0,  c21, v1
			mad oT3, -r0, c21, v1
			mad oT4, r0,  c22, v1
			mad oT5, -r0, c22, v1
		};
		
		PixelShader = asm
		{
			// Initialise Shader
			ps.1.4
			
			// Define Constants
			def c0, 0.2f, 0.2f, 0.2f, 0.2f
			def c1, 0.175f, 0.175f, 0.175f, 0.175f
			def c2, 0.125f, 0.125f, 0.125f, 0.125f
			
			// Load Sample Textures
			texld r0, t0
			texld r1, t1
			texld r2, t2
			texld r3, t3
			texld r4, t4
			texld r5, t5
			
			// Scale and Sum Samples
			mul r0, r0, c0
			mad r0, c0, r1, r0
			mad r0, c1, r2, r0
			mad r0, c1, r3, r0
			mad r0, c2, r4, r0
			mad r0, c2, r5, r0
		};

		Texture[0]   = <Null>;
		MinFilter[0] = Linear;
		MagFilter[0] = Linear;
		MipFilter[0] = Linear;
		AddressU[0]  = Clamp;
		AddressV[0]  = Clamp;
		AddressW[0]  = Clamp;

		Texture[1]   = <Null>;
		MinFilter[1] = Linear;
		MagFilter[1] = Linear;
		MipFilter[1] = Linear;
		AddressU[1]  = Clamp;
		AddressV[1]  = Clamp;
		AddressW[1]  = Clamp;

		Texture[2]   = <Null>;
		MinFilter[2] = Linear;
		MagFilter[2] = Linear;
		MipFilter[2] = Linear;
		AddressU[2]  = Clamp;
		AddressV[2]  = Clamp;
		AddressW[2]  = Clamp;

		Texture[3]   = <Null>;
		MinFilter[3] = Linear;
		MagFilter[3] = Linear;
		MipFilter[3] = Linear;
		AddressU[3]  = Clamp;
		AddressV[3]  = Clamp;
		AddressW[3]  = Clamp;

		Texture[4]   = <Null>;
		MinFilter[4] = Linear;
		MagFilter[4] = Linear;
		MipFilter[4] = Linear;
		AddressU[4]  = Clamp;
		AddressV[4]  = Clamp;
		AddressW[4]  = Clamp;

		Texture[5]   = <Null>;
		MinFilter[5] = Linear;
		MagFilter[5] = Linear;
		MipFilter[5] = Linear;
		AddressU[5]  = Clamp;
		AddressV[5]  = Clamp;
		AddressW[5]  = Clamp;
	}
}