//	Screen-Aligned Quad: Null Processor - 1.0
//------------------------------------
float4 WVP0 <> = {-2.0f, 0.0f, 0.0f, 0.0f};
float4 WVP1 <> = {0.0f,  2.0f, 0.0f, 0.0f};
float4 WVP2 <> = {0.0f,  0.0f, 1.0f, 0.0f};
float4 WVP3 <> = {0.0f,  0.0f, 1.0f, 1.0f};

//------------------------------------
texture Null
<
	string name = "Null.tga";
>;

//------------------------------------
technique Null11
{
	pass p0 
	{		
		VertexShaderConstant[0] = <WVP0>;
		VertexShaderConstant[1] = <WVP1>;
		VertexShaderConstant[2] = <WVP2>;
		VertexShaderConstant[3] = <WVP3>;

		VertexShader = asm
		{
			// Initilise Shader
			vs.1.1
			dcl_position	v0
			dcl_texcoord	v1
			
			// Transform Quad to Screen
			m4x4 oPos, v0, c0
			
			// Output Texture Coordinates
			mov oT0, v1
		};
		
		PixelShader = asm
		{
			// Initialise Shader
			ps.1.1
			
			// Output Texture
			tex t0
			mov r0, t0
		};

		Texture[0]   = <Null>;
		MinFilter[0] = Linear;
		MagFilter[0] = Linear;
		MipFilter[0] = Linear;
		AddressU[0]  = Clamp;
		AddressV[0]  = Clamp;
		AddressW[0]  = Clamp;
	}
}